

Patch from William Lee Irwin III <wli@holomorphy.com>

Don't touch IO-APIC physid's on NUMA-Q. The BIOS pre-programs them.



 i386/kernel/io_apic.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/io_apic.c~numaq-ioapic-fix2 arch/i386/kernel/io_apic.c
--- 25/arch/i386/kernel/io_apic.c~numaq-ioapic-fix2	2003-02-06 09:53:09.000000000 -0800
+++ 25-akpm/arch/i386/kernel/io_apic.c	2003-02-06 09:53:09.000000000 -0800
@@ -1440,7 +1440,8 @@ void disable_IO_APIC(void)
  * by Matt Domsch <Matt_Domsch@dell.com>  Tue Dec 21 12:25:05 CST 1999
  */
 
-static void __init setup_ioapic_ids_from_mpc (void)
+#ifndef CONFIG_X86_NUMAQ
+static void __init setup_ioapic_ids_from_mpc(void)
 {
 	struct IO_APIC_reg_00 reg_00;
 	unsigned long phys_id_present_map;
@@ -1533,6 +1534,9 @@ static void __init setup_ioapic_ids_from
 			printk(" ok.\n");
 	}
 }
+#else
+static void __init setup_ioapic_ids_from_mpc(void) { }
+#endif
 
 /*
  * There is a nasty bug in some older SMP boards, their mptable lies

_
